#include<stdio.h>
#include<stdlib.h>
#include<math.h>
void izbaci(int a[],int n,int x)
{
	int k=0;
	for (int i=0;i<n;i++)
	{
		if (a[i]!=x)	
			a[k++]=a[i];
	}
	n=k;
}
main()
{
	int n,x,i,v=0,k,min;
	scanf("%d %d",&n,&x);
	int a[n];
	for(i=0;i<n;i++)
	{
		scanf("%d",&a[i]);
	}
	for(i=0;i<n;i++)
	{
		min=abs(x-a[0]);
		if(abs(x-a[i+1])<=min)
		{
			min=abs(x-a[i+1]);
			x=a[i+1];
		}
		else
		{
			x=a[0];
			
		}
		v+=min;
		izbaci(a,n,x);			
	}
	printf("%d",v);
}